All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.iom
Class WorkspacePoolException

    com.sas.iom.WorkspacePoolException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

Deprecated. WorkspacePoolDriver and WorkspacePoolException have been deprecated in favor of the less ambiguous WorkspaceFactory and WorkspaceFactoryException.

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class WorkspacePoolException

The exception class for the deprecated class WorkspacePoolDriver.

See Also:
  `WorkspaceFactoryException`, Serialized Form

Constructor Summary
`WorkspacePoolException()` Deprecated. No-argument constructor.
`WorkspacePoolException(java.lang.String message)` Deprecated. Constructor with message.
`WorkspacePoolException(java.lang.String message, java.lang.Throwable nestedException)` Deprecated. Wrapper constructor.
`WorkspacePoolException(java.lang.Throwable nestedException)` Deprecated. Wrapper constructor.

Method Summary

Methods inherited from class com.sas.util.ChainedException
`chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

Constructor Detail

### WorkspacePoolException

    public WorkspacePoolException()

  Deprecated.
  No-argument constructor.

### WorkspacePoolException

    public WorkspacePoolException(java.lang.String message)

  Deprecated.
  Constructor with message.

  Parameters:
    `message` - a message adding detail to the exception

### WorkspacePoolException

    public WorkspacePoolException(java.lang.Throwable nestedException)

  Deprecated.
  Wrapper constructor.

  Parameters:
    `nestedException` - exception being wrapped

### WorkspacePoolException

    public WorkspacePoolException(java.lang.String message,
                                  java.lang.Throwable nestedException)

  Deprecated.
  Wrapper constructor.

  Parameters:
    `message` - a message to include in the exception.
    `nestedException` - an exception being wrapped.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.